Skip to main content

GetDelegatedResourceAccountIndexV2

POST

Stake 2.0 API: query the resource delegation index by an account (confirmed state). Two lists will return, one is the list of addresses the account has delegated its resources(toAddress), and the other is the list of addresses that have delegated resources to the account(fromAddress).
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
valuestringrequired
Account address. (Format: Base58 or Hex)
visibleboolean
Optional. Set to true to format addresses in Base58; set to false for hex format. (Default: false)
Responses
accountstring
Account address.
fromAccountsstring[]
List of account addresses that delegate resources to this account.
toAccountsstring[]
List of account addresses that receive resources delegated by this account.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "400"
}
cURL
curl -X POST 'https://tron-mainnet.nodit.io/walletsolidity/getdelegatedresourceaccountindexv2' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{}'